For the complete documentation index, see llms.txt.

Products
PUT/api/products/update

Update Product

Optional string fields on the product object: merchant_product_id (your product code), manufacturer_product_id (the manufacturer or brand owner product code), and standardised_product_id (a GTIN, EAN, UPC, or ISBN when available).

View as MarkdownCopy for LLM

Products

Sync Product Catalogue records and related product data.

8 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/products/update

Request body

{
  "id": 4541053,
  "product": {
    "id": 4541053,
    "sku": "AMZ-BLK-SHOES-US11",
    "title": "Amazing Black Shoes Black US11",
    "customs_description": null,
    "description": null,
    "country": "Australia",
    "weight": 1.3,
    "height": 0.27,
    "length": 0.27,
    "width": 0.4,
    "hs_code": "6404.11.0000",
    "color": "Black",
    "size": "US11",
    "barcode": null,
    "bin_location": "A18",
    "brand": null,
    "usage": null,
    "material": null,
    "model": null,
    "mid": null,
    "price": 99,
    "dangerous_goods_type": null,
    "merchant_product_id": "AMZ-BLK-SHOES-US11",
    "manufacturer_product_id": "ACME-SHOES-0011",
    "standardised_product_id": "0123456789012"
  }
}

Response examples

Update Product (200)
{
    "product": {
        "id": 4541053,
        "sku": "AMZ-BLK-SHOES-US11",
        "title": "Amazing Black Shoes Black US11",
        "country": "Australia",
        "weight": 1.3,
        "height": 0.27,
        "length": 0.27,
        "width": 0.4,
        "hs_code": "6404.11.0000",
        "color": "Black",
        "size": "US11",
        "bin_location": "A18",
        "price": 99
    },
    "success": true,
    "errors": []
}

Related endpoints